# Getting started

## Dependencies
- FirstSpirit installation
- Compiled FSHook project (FSHook/bin/uploadPlugin.jar exists)
- OpenJDK11 (On Windows this gets installed together with FS `C:/Users/<User>/.firstspirit/FSLauncher/jre/11.0.11/jre-win/jdk-11.0.11+9-jre/bin/java.exe`)

## Paths
- `<java>` point to your (or FSs) OpenJDK11 installation
- `<aspectjweaver.jar>` can be found in `FSHook/tool` 
- `<classpath>` points to 
 - `bin/` of this project, 
 - `FSHook/bin/*` and `FSHook/lib/aspectjrt.jar` of FSHook 
 - `.firstspirit/FSLauncher/jar/*`, `.firstspirit_<version>/jars/*` of the FS installation. (usually located in $HOME)  - The seperator is `:` on Linux and `;` on Windows.

## Build this
I.e. with vs-code java extension.
Set classpath and add `res/` to source directories

## Launch this
1) Be in the TU-Network or connected via VPN.
2) Launch
``` <java> -cp <classpath> -javaaagent:<aspectjweaver.jar> com.kallendorf.Main```
3) Log in
4) Click on the scroll-icon in the toolbar.
This will link all protocolls of this year.

